Subject: Re: [PATCH] Internationalization of git-gui

From: Brett Schwarz <[email-masked]>
Date: Fri, 20 Jul 2007 11:34:50 -0700 (PDT)

After the glossary of terms has been create, it is easy to create the catalog file (assuming we use Tcl's standard mechanism). Each locale should have it's own file, named <locale_name>.msg (for example, es.msg for spanish). Inside that file, you just create entries for each glossary term (the below assumes that the msgcat namespace was imported):

  mcset es Hello Hola
  mcset es "Hello %s" "Hola %s"
    .
    .
    .

You can find more out here if you like http://wiki.tcl.tk/msgcat

HTH,
    --brett

----- Original Message ----
From: Paolo Ciarrocchi <[email-masked]>
To: Shawn O. Pearce <[email-masked]>
Cc: Johannes Schindelin <[email-masked]>; Christian Stimming <[email-masked]>; [email-masked]
Sent: Friday, July 20, 2007 10:32:24 AM
Subject: Re: [PATCH] Internationalization of git-gui

On 7/20/07, Shawn O. Pearce <[email-masked]> wrote:
> Johannes Schindelin <[email-masked]> wrote:
> > On Thu, 19 Jul 2007, Christian Stimming wrote:
> >
> > > Does this implementation look okay?
> >
> > This is valuable work, but unfortunately, it does not follow the
> > recommendation in Documentation/SubmittingPatches at all.
> >
> > For starters, please send the patches inlined, one per mail.  And you
> > might want to Cc the maintainer of git-gui (Shawn Pearce), too...
>
> I agree that internationalization of git-gui is worth doing.
> I've thought about working on it, but haven't yet because nobody
> else has seemed interested in having it done.  Apparently someone
> is, so patches towards that end are most welcome.

Hi Shawn,
I volunteer to translate all the git-gui messages in Italian.

Just let me if you are interested and please give me an hint on how to
produce the translation so that you can incorporate it.

Thanks.

Regards,

-- 
Paolo
"Tutto cio' che merita di essere fatto,merita di essere fatto bene"
Philip Stanhope IV conte di Chesterfield
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html

____________________________________________________________________________________
Yahoo! oneSearch: Finally, mobile search 
that gives answers, not web links. 
http://mobile.yahoo.com/mobileweb/onesearch?refer=1ONXIC